<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendMail extends Mailable
{
    use Queueable, SerializesModels;

      public function __construct()
    {
        //
    }

    /**
     * Create a new message instance.
     *
     * @return void
     */

    
    public function envelope(): Envelope
    {
        return new Envelope(
            'Hello Mail'
        );
    }

    /**
     * Build the message.
     *
     * @return $this

     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
    public function build(){
        return $this->view('emails.otp');
    }
}
